//+------------------------------------------------------------------+
//|                                       Setup_BUY_PendingOrder.mq4 |
//|                          Copyright 2015, Tradexperts.ru StatBars |
//|                                            http://tradexperts.ru |
//+------------------------------------------------------------------+
#property copyright "Copyright 2015, Tradexperts.ru StatBars"
#property link      "http://tradexperts.ru"
#property version   "1.00"
#property strict
#property show_inputs

extern int TP = 50;
extern int SL = 200;
extern double lot = 0.1;
extern int slippage = 3;

//+------------------------------------------------------------------+
//| Script program start function                                    |
//+------------------------------------------------------------------+
void OnStart()
  {
//---
   double open_price = ChartPriceOnDropped();
   double temp_sl, temp_tp;
   double SPREAD = MarketInfo( Symbol(), MODE_SPREAD)*Point;
   int ticket;
   if( TP > 0 )
   {
      temp_tp = NormalizeDouble( open_price + TP*Point + SPREAD, Digits);
   }
   else
      temp_tp = NormalizeDouble( 0.0 , Digits);
   if( SL > 0 )
   {
      temp_sl = NormalizeDouble( open_price - SL*Point, Digits);
   }
   else
      temp_sl = NormalizeDouble( 0.0 , Digits);
      
   if( Ask < open_price )
   {
      ticket = OrderSend( Symbol(), OP_BUYSTOP, lot, open_price, slippage, temp_sl, temp_tp, "", 0, 0, clrOrangeRed);
      if( ticket <= 0 )
         Print("Error - "+IntegerToString( GetLastError()));
      Print(DoubleToStr( open_price, Digits)+" "+DoubleToStr( temp_sl, Digits)+" "+DoubleToStr( temp_tp,Digits));
   }
   else
   if( Ask > open_price )
   {
      ticket = OrderSend( Symbol(), OP_BUYLIMIT, lot, open_price, slippage, temp_sl, temp_tp, "", 0, 0, clrOrangeRed);
      if( ticket <= 0 )
         Print("Error - "+IntegerToString( GetLastError()));
   }
  }
//+------------------------------------------------------------------+
